
// The CometChannel.scriptCallback() stuffs...
// This one needs a bit parsing to get.
class Comet {
  int newOffset;
  List<Data> data;

  Comet({this.newOffset, this.data});

  Comet.fromJson(Map<String, dynamic> json) {
    newOffset = json['new_offset'];
    if (json['data'] != null) {
      data = new List<Data>();
      json['data'].forEach((v) {
        data.add(new Data.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['new_offset'] = this.newOffset;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Data {
  int plurkId;
  String content;
  String contentRaw;
  String qualifier;
  String posted;
  String lastEdited;
  int ownerId;
  int userId;
  int responseCount;
  String limitedTo;
  String excluded;
  String lang;
  int isUnread;
  int noComments;
  bool favorite;
  List<String> favorers;
  int favoriteCount;
  bool replurked;
  List<String> replurkers;
  int replurkersCount;
  String replurkerId;
  bool replurkable;
  bool anonymous;
  int plurkType;
  int coins;
  int id;
  int responsesSeen;
  bool porn;
  bool publishToFollowers;
  bool hasGift;
  int responded;
  int mentioned;
  String type;

  Data(
      {this.plurkId,
        this.content,
        this.contentRaw,
        this.qualifier,
        this.posted,
        this.lastEdited,
        this.ownerId,
        this.userId,
        this.responseCount,
        this.limitedTo,
        this.excluded,
        this.lang,
        this.isUnread,
        this.noComments,
        this.favorite,
        this.favorers,
        this.favoriteCount,
        this.replurked,
        this.replurkers,
        this.replurkersCount,
        this.replurkerId,
        this.replurkable,
        this.anonymous,
        this.plurkType,
        this.coins,
        this.id,
        this.responsesSeen,
        this.porn,
        this.publishToFollowers,
        this.hasGift,
        this.responded,
        this.mentioned,
        this.type});

  Data.fromJson(Map<String, dynamic> json) {
    plurkId = json['plurk_id'];
    content = json['content'];
    contentRaw = json['content_raw'];
    qualifier = json['qualifier'];
    posted = json['posted'];
    lastEdited = json['last_edited'];
    ownerId = json['owner_id'];
    userId = json['user_id'];
    responseCount = json['response_count'];
    limitedTo = json['limited_to'];
    excluded = json['excluded'];
    lang = json['lang'];
    isUnread = json['is_unread'];
    noComments = json['no_comments'];
    favorite = json['favorite'];
    if (json['favorers'] != null) {
      favorers = new List<String>();
      json['favorers'].forEach((v) {
        favorers.add(v);
      });
    }
    favoriteCount = json['favorite_count'];
    replurked = json['replurked'];
    if (json['replurkers'] != null) {
      replurkers = new List<String>();
      json['replurkers'].forEach((v) {
        replurkers.add(v);
      });
    }
    replurkersCount = json['replurkers_count'];
    replurkerId = json['replurker_id'];
    replurkable = json['replurkable'];
    anonymous = json['anonymous'];
    plurkType = json['plurk_type'];
    coins = json['coins'];
    id = json['id'];
    responsesSeen = json['responses_seen'];
    porn = json['porn'];
    publishToFollowers = json['publish_to_followers'];
    hasGift = json['has_gift'];
    responded = json['responded'];
    mentioned = json['mentioned'];
    type = json['type'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['plurk_id'] = this.plurkId;
    data['content'] = this.content;
    data['content_raw'] = this.contentRaw;
    data['qualifier'] = this.qualifier;
    data['posted'] = this.posted;
    data['last_edited'] = this.lastEdited;
    data['owner_id'] = this.ownerId;
    data['user_id'] = this.userId;
    data['response_count'] = this.responseCount;
    data['limited_to'] = this.limitedTo;
    data['excluded'] = this.excluded;
    data['lang'] = this.lang;
    data['is_unread'] = this.isUnread;
    data['no_comments'] = this.noComments;
    data['favorite'] = this.favorite;
    if (this.favorers != null) {
      data['favorers'] = this.favorers.map((v) => v).toList();
    }
    data['favorite_count'] = this.favoriteCount;
    data['replurked'] = this.replurked;
    if (this.replurkers != null) {
      data['replurkers'] = this.replurkers.map((v) => v).toList();
    }
    data['replurkers_count'] = this.replurkersCount;
    data['replurker_id'] = this.replurkerId;
    data['replurkable'] = this.replurkable;
    data['anonymous'] = this.anonymous;
    data['plurk_type'] = this.plurkType;
    data['coins'] = this.coins;
    data['id'] = this.id;
    data['responses_seen'] = this.responsesSeen;
    data['porn'] = this.porn;
    data['publish_to_followers'] = this.publishToFollowers;
    data['has_gift'] = this.hasGift;
    data['responded'] = this.responded;
    data['mentioned'] = this.mentioned;
    data['type'] = this.type;
    return data;
  }
}